INCLUDES=  -I$(srcdir)/.. -I$(srcdir)/../.. $(all_includes)
KDE_CXXFLAGS = -DTQT_NO_ASCII_CAST

kde_module_LTLIBRARIES = libimagefxplugin.la libqprocessplugin.la libfileitemplugin.la
noinst_LTLIBRARIES = libcustomobjectplugin.la libcustomqobjectplugin.la
METASOURCES = AUTO

# the Plugin's source, library search path, and link libraries
libcustomobjectplugin_la_SOURCES = customobject_plugin.cpp
libcustomobjectplugin_la_LDFLAGS = -module $(KDE_PLUGIN) -ltdecore -ltdeui $(LIB_TQT) -lkjs -ltdefx $(KDE_RPATH) $(all_libraries)
libcustomobjectplugin_la_LIBADD  = $(LIB_TQT) $(LIB_TDEPARTS) $(LIB_TDECORE) $(LIB_TDEFILE) ../libkjsembed.la

# the Plugin's source, library search path, and link libraries
libcustomqobjectplugin_la_SOURCES = customqobject_plugin.cpp
libcustomqobjectplugin_la_LDFLAGS = -module $(KDE_PLUGIN) -ltdecore -ltdeui $(LIB_TQT) -lkjs -ltdefx $(KDE_RPATH) $(all_libraries)
libcustomqobjectplugin_la_LIBADD  = $(LIB_TQT) $(LIB_TDEPARTS) $(LIB_TDECORE) $(LIB_TDEFILE) ../libkjsembed.la

# the Plugin's source, library search path, and link libraries
libimagefxplugin_la_SOURCES = imagefx_plugin.cpp
libimagefxplugin_la_LDFLAGS = -module $(KDE_PLUGIN) -ltdecore -ltdeui $(LIB_TQT) -lkjs -ltdefx $(KDE_RPATH) $(all_libraries)
libimagefxplugin_la_LIBADD  = $(LIB_TQT) $(LIB_TDEPARTS) $(LIB_TDECORE) $(LIB_TDEFILE) ../libkjsembed.la

# the Plugin's source, library search path, and link libraries
libqprocessplugin_la_SOURCES = qprocess_plugin.cpp
libqprocessplugin_la_LDFLAGS = -module $(KDE_PLUGIN) -ltdecore -ltdeui $(LIB_TQT) -lkjs -ltdefx $(KDE_RPATH) $(all_libraries)
libqprocessplugin_la_LIBADD  = $(LIB_TQT) $(LIB_TDEPARTS) $(LIB_TDECORE) $(LIB_TDEFILE) ../libkjsembed.la

# the Plugin's source, library search path, and link libraries
libfileitemplugin_la_SOURCES = tdefileitemloader.cpp
libfileitemplugin_la_LDFLAGS = -module $(KDE_PLUGIN) -ltdecore -ltdeui $(LIB_TQT) -lkjs -ltdefx $(all_libraries)
libfileitemplugin_la_LIBADD = $(LIB_TDEPARTS) $(LIB_TDEFILE) ../libkjsembed.la


# this is where the desktop file will go
plugindesktopdir   = $(kde_servicesdir)
plugindesktop_DATA = imagefx_plugin.desktop qprocess_plugin.desktop tdefileitem_plugin.desktop
noinst_DATA = customobject_plugin.desktop customqobject_plugin.desktop
